<template>
  <div id="footer" class="footer">
    <div class="footer__container">
      <el-row justify="center" :gutter="40">
        <el-col :sm="24" :md="12" :lg="6" class="footer-content">
          <el-row>
            <el-image class="footer-img" :src="logo" fit="contain" />
          </el-row>
          <el-row>
            <p>Aspirasi, informasi, dan layanan publik dalam satu aplikasi.</p>
          </el-row>
        </el-col>

        <el-col :sm="24" :md="12" :lg="6" class="footer-content">
          <el-row>
            <h1>Link Terkait</h1>
          </el-row>
          <el-row>
            <p v-for="link in links" :key="link.id">
              <a :href="link.url" target="_blank">
                {{ link.name }}
              </a>
            </p>
          </el-row>
        </el-col>

        <el-col :sm="24" :md="12" :lg="6" class="footer-content">
          <el-row>
            <h1>Ketentuan</h1>
          </el-row>
          <el-row>
            <p>
              <a href="/#/privacy-policy">
                Kebijakan Privasi
              </a>
            </p>
            <p>
              <a href="/#/term-of-service">
                Ketentuan Penggunaan
              </a>
            </p>
          </el-row>
        </el-col>

        <el-col :sm="24" :md="12" :lg="6" class="footer-content">
          <el-row>
            <h1>Ikuti Sapawarga</h1>
          </el-row>
          <el-row>
            <el-image class="google-play-button" :src="googlePlay" fit="contain" @click="getApp()" />
          </el-row>
        </el-col>
      </el-row>
    </div>
  </div>
</template>

<script>
import { links } from './links'
export default {
  name: 'Footer',
  data() {
    return {
      logo: require('@/assets/logo.png'),
      googlePlay: require('@/assets/google-play-black.png'),
      links
    }
  },
  methods: {
    getApp() {
      const link = 'https://play.google.com/store/apps/details?id=com.sapawarga.jds'
      window.open(link, '_blank')
    }
  }
}
</script>

<style lang="scss" scoped>

.footer {
  background-color: #fff;
  &__container {
    padding: 50px 120px;
  }
  .footer-img {
    width: auto;
    height: 70px;
  }
  .google-play-button {
    width: auto;
    height: 50px;
    cursor: pointer;
  }
}

h1 {
  font-size: 28px;
  margin: 0;
  height: 70px;
  display: flex;
  align-items: center;
}

p {
  line-height: 1.5em;
  font-size: 21px;
  display: flex;
  a {
    color: #000;
  }
  img {
    margin-right: 10px;
  }
}

.footer-content {
  display: flex;
  flex-direction: column;
}

@media screen and (max-width: 600px) {

  .footer__container {
    padding: 30px 30px;
  }

  .footer-content {
    padding: 15px 0;
  }

  .footer-img {
    display: flex;
  }

  h1 {
    height: auto;
    font-size: 18px;
    text-align: center;
  }

  p {
    font-size: 14px;
    text-align: center;
  }

  .footer .google-play-button {
    width: auto;
    height: 35px;
    display: flex;
  }
}
</style>
